## docbook-xsl 1.79.2+dfsg

=== docbook-xsl-ns/Makefile ===
#
# This makefile does a "smoketest" of stylesheets for various
# output formats in the DocBook XSL Stylesheets release package.
# It doesn't actually check the output -- it's just useful for
# confirming whether each XSLT transformation actually executes
# successfully without any errors.
#
# To use it, run "make check" or just "make"

XSLTPROC=xsltproc
XSLTPROC_FLAGS=

TESTFILE=tests/refentry.007.xml
TESTFILE_NS=tests/refentry.007.ns.xml

NORMAL_STYLES=fo/docbook.xsl html/docbook.xsl xhtml/docbook.xsl
NORMAL_PROFILE_STYLES=fo/profile-docbook.xsl html/profile-docbook.xsl xhtml/profile-docbook.xsl
CHUNK_STYLES=html/chunk.xsl html/onechunk.xsl xhtml/chunk.xsl xhtml/onechunk.xsl
HELP_STYLES=htmlhelp/htmlhelp.xsl javahelp/javahelp.xsl eclipse/eclipse.xsl
MULTIFILE_STYLES=$(CHUNK_STYLES) $(HELP_STYLES)
CHUNK_PROFILE_STYLES=html/profile-chunk.xsl html/profile-onechunk.xsl xhtml/profile-chunk.xsl xhtml/profile-onechunk.xsl
HELP_PROFILE_STYLES=htmlhelp/profile-htmlhelp.xsl eclipse/profile-eclipse.xsl javahelp/profile-javahelp.xsl
MULTIFILE_PROFILE_STYLES=$(CHUNK_PROFILE_STYLES) $(HELP_PROFILE_STYLES)

MAN_STYLE=manpages/docbook.xsl
MAN_PROFILE_STYLE=manpages/profile-docbook.xsl

TWO_PROFILE_STYLE=profiling/profile.xsl 

ROUNDTRIP_STYLES=roundtrip/dbk2ooo.xsl roundtrip/dbk2pages.xsl roundtrip/dbk2wordml.xsl
SLIDES_STYLES=slides/html/default.xsl slides/xhtml/default.xsl slides/fo/plain.xsl
WEBSITE_STYLES=website/website.xsl
WEBSITE_CHUNK_STYLES=website/chunk-website.xsl

# chunked output gets written to TMP_OUTPUT_DIR
TMP_OUTPUT_DIR=/tmp/smoketest-output/
# if you don't want TMP_OUTPUT_DIR and its contents deleted, unset
# SMOKETEST_CLEAN_TARGET; e.g. "make check SMOKETEST_CLEAN_TARGET=''"
SMOKETEST_CLEAN_TARGET=smoketest-clean

check: tests smoketest-make-tmp-dir smoketest-normal smoketest-normal-profile smoketest-chunk smoketest-chunk-profile smoketest-man smoketest-man-profile smoketest-two-profile $(SMOKETEST_CLEAN_TARGET)

.PHONY: tests
tests:
	$(MAKE) -C tests

smoketest-make-tmp-dir:
	$(RM) -r $(TMP_OUTPUT_DIR)
	mkdir '$(TMP_OUTPUT_DIR)'

smoketest-normal:
	for stylesheet in $(NORMAL_STYLES); do \
	echo "$(XSLT) $(TESTFILE) $$stylesheet > /dev/null"; \
	$(XSLT) $(TESTFILE) $$stylesheet > /dev/null; \
	echo "$(XSLT) $(TESTFILE_NS) $$stylesheet > /dev/null"; \
	$(XSLT) $(TESTFILE_NS) $$stylesheet > /dev/null; \
	done

smoketest-normal-profile:
	for stylesheet in $(NORMAL_PROFILE_STYLES); do \
	echo "$(XSLT) $(TESTFILE) $$stylesheet > /dev/null"; \
	$(XSLT) $(TESTFILE) $$stylesheet > /dev/null; \
	echo "$(XSLT) $(TESTFILE_NS) $$stylesheet > /dev/null"; \
	$(XSLT) $(TESTFILE_NS) $$stylesheet > /dev/null; \
	done

smoketest-chunk:
	for stylesheet in $(MULTIFILE_STYLES) ; do \
	echo "$(XSLT) $(TESTFILE) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR)" ; \
	$(XSLT) $(TESTFILE) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR) ; \
	echo "$(XSLT) $(TESTFILE_NS) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR)" ; \
	$(XSLT) $(TESTFILE_NS) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR) ; \
	done;

smoketest-chunk-profile:
	for stylesheet in $(MULTIFILE_PROFILE_STYLES) ; do \
	echo "$(XSLT) $(TESTFILE) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR)" ; \
	$(XSLT) $(TESTFILE) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR) ; \
	echo "$(XSLT) $(TESTFILE_NS) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR)" ; \
	$(XSLT) $(TESTFILE_NS) $$stylesheet manifest.in.base.dir=1 base.dir=$(TMP_OUTPUT_DIR) ; \
	done;

smoketest-man:
	$(XSLT) $(TESTFILE) $(MAN_STYLE) man.output.in.separate.dir=1 man.output.base.dir=$(TMP_OUTPUT_DIR) ; \
	$(XSLT) $(TESTFILE_NS) $(MAN_STYLE) man.output.in.separate.dir=1 man.output.base.dir=$(TMP_OUTPUT_DIR) ; 

smoketest-man-profile:
	$(XSLT) $(TESTFILE) $(MAN_PROFILE_STYLE) man.output.in.separate.dir=1 man.output.base.dir=$(TMP_OUTPUT_DIR) ; \
	$(XSLT) $(TESTFILE_NS) $(MAN_PROFILE_STYLE) man.output.in.separate.dir=1 man.output.base.dir=$(TMP_OUTPUT_DIR) ; 

smoketest-two-profile:
	$(XSLT) $(TESTFILE_NS) $(TWO_PROFILE_STYLE) > /dev/null ; 

smoketest-clean:
	$(RM) -r $(TMP_OUTPUT_DIR)

## docbook-xsl 1.76.1+dfsg

=== debian/changelog ===
docbook-xsl (1.76.1+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Fixed bug when context was lost (closes: #602537).
  * Copied some files from docbook-xsl-ns.

  * debian/control: Added docbook-xsl-ns.
    (Vcs-Browser, Vcs-Svn): Adjusted for unstable.
    (Build-Depends): Dropped dpatch in favour of source format 3.0 (quilt).
    Added docbook5-xml for docbook-xsl-ns. Increased debhelper version for
    dh_bugfiles.
    (Standards-Version): Bumped to 3.9.2.
    (Homepage): Fixed not-longer-existing URL.
    (Description): Mention XSL-FO (closes: #604004, #623977).
    (Recommends): Downgrade docbook-xsl-doc* packages to Suggests (closes:
    #610726, #623976).
  * debian/copyright: Adjusted and added parts of docbook-xsl-ns.
  * debian/docbook-xsl.docs: Adjusted source paths.
  * debian/docbook-xsl.examples: Ditto.
  * debian/docbook-xsl.install: Ditto.
  * debian/docbook-xsl.xmlcatalogs: Ditto.
  * debian/docbook-xsl-ns.copyright: Copied and removed.
  * debian/docbook-xsl-ns.docs: Copied and adjusted source paths.
  * debian/docbook-xsl-ns.examples: Ditto.
  * debian/docbook-xsl-ns.install: Ditto.
  * debian/docbook-xsl-ns.xmlcatalogs: Ditto.
  * debian/docbook-xsl-ns.README.Debian: Copied.
  * debian/get-orig-source.sh: Create one source package for docbook-xsl and
    docbook-xsl-ns.
  * debian/presubj: Renamed to debian/docbook-xsl.bug-presubj.
  * debian/rules: Dropped dpatch and useless get-orig-source target.
    (override_dh_auto_test): Run the check-xml target.
    (check-xml): Added the --nonet switch to avoid internet access. Added
    check of DocBook 5 example (copied from docbook-xsl-ns).
    (override_dh_installchangelogs): Adjusted source paths.
    (.PHONY): Added the check-xml target.
  * debian/watch: Added line for docbook-xsl-ns.
  * debian/README.Debian: Renamed to debian/docbook-xsl.README.Debian.
  * debian/README.source: Adjusted after dropping dpatch and after merging
    docbook-xsl and docbook-xsl-ns. Added information about multiple upstream
    tarballs.
  * debian/bugs/docbook-xsl-ns/presubj: Copied and renamed to
    debian/docbook-xsl-ns.bug-presubj. Typo fix.
  * debian/examples/foo.1.example_manpage.xml: Renamed to
    debian/examples/docbook-xsl/foo.1.example_manpage.xml.
  * debian/examples/docbook-xsl-ns/foo.1.example_manpage.xml: Copied.
  * debian/source/format: Changed to 3.0 (quilt).
  * debian/patches/605696_fix_section_name_for_lexgrog.patch: Added.
    - */common/es.xml: Fix Spanish translation for RefName to make it being
      recognized by lexgrog (closes: #605696).
  * debian/patches/611924_html_same_ids_for_quote.patch: Added.
    - */*html/inline.xsl (quote): Don't call the anchor
      template to not duplicate IDs (closes: #611924).
  * debian/patches/620556_fo_segmentedlist_with_segtitles.patch: Added.
    - */fo/lists.xsl (segmentedlist): Create the number of columns needed in
      table mode (closes: #620556).
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/patches/00options,
    debian/patches/00template: Dropped.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 17 Nov 2011 14:04:56 +0100

docbook-xsl (1.76.0~RC1+dfsg-1) experimental; urgency=low

  * First release candidate of the upcoming 1.76.0 release based on r8900.
    - Apostroph fix applied at all places (closes: #507673).
    - Refer to local image path (closes: #561590).
    - Handles simpara in footnote for manpages correctly (closes: #580305).
    - Improved French translation (closes: #594649).

  * debian/compat: Increased to 7.
  * debian/control (Vcs-Browser, Vcs-Svn): Adjusted for experimental.
    (Build-Depends): Increased dh version to >7.
    (Standards-Version): Bumped to 3.9.1.
    (Suggests): Added libxslthl-java (closes: #576831).
  * debian/rules: Rewritten for dh 7.
  * debian/get-orig-source.sh: Also remove newly released webhelp directory.
  * debian/README.source: Added note about webhelp.
  * debian/patches/561590_param_local_draft_image.dpatch: Dropped (r8810).
  * debian/patches/562227_xhtml_fix_saxon_ns_leakage.dpatch: Ditto (r8808).
  * debian/patches/8530_manpages_lists_indentation_fix.dpatch: Ditto.
  * debian/patches/8539_554441_xhtml11_fix_ulink_param_target.dpatch: Ditto.
  * debian/patches/8563_562816_german_translation_fix.dpatch: Ditto.
  * debian/patches/portable_apostrophe_fix.dpatch: Ditto (r8841).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 31 Aug 2010 22:52:27 +0200

docbook-xsl (1.75.2+dfsg-5) unstable; urgency=low

  * debian/patches/514030_debianize_dbtoepub.dpatch: Dropped. This patch leads
    to inclusion of the docbook-xsl stylesheets and misses to match the
    elements in a DB5 document (closes: #567859).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 31 Jan 2010 22:44:03 +0100

docbook-xsl (1.75.2+dfsg-4) unstable; urgency=low

  * debian/patches/8539_554441_xhtml11_fix_ulink_param_target.dpatch: Added.
    - xhtml-1_1/param.xsl: Empty ulink.target to not create target attribute
      in anchor element (closes: #554441).
  * debian/patches/561590_param_local_draft_image.dpatch: Added.
    - */param.xsl: Use a local path for the draft image (closes: #561590).
  * debian/patches/562227_xhtml_fix_saxon_ns_leakage.dpatch: Added.
    - xhtml/html.xsl, xhtml-1_1/html.xsl: Fix leakage of xmlns:saxon namespace
      in XHTML output (closes: #562227).
  * debian/patches/8563_562816_german_translation_fix.dpatch: Added.
    - common/de.xml: Fix an incorrect German translation (closes: #562816).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 22 Jan 2010 16:24:15 +0100

docbook-xsl (1.75.2+dfsg-3) unstable; urgency=low

  * debian/patches/514030_debianize_dbtoepub.dpatch: Adjusted.
    - Removed patchset according to scripts. This is stuff for dbtoepub.
  * debian/patches/8530_manpages_lists_indentation_fix.dpatch: Added.


=== debian/control ===
Source: docbook-xsl
Section: text
Priority: optional
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Uploaders: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Build-Depends: debhelper (>> 7.2.3~), libxml2-utils, docbook-xml (>> 4.4), docbook5-xml
Build-Depends-Indep: xml-core
Standards-Version: 3.9.2
Homepage: http://wiki.docbook.org/DocBookXslStylesheets
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-xsl/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-xsl/trunk/
DM-Upload-Allowed: yes

Package: docbook-xsl
Architecture: all
Depends: ${misc:Depends}
Recommends: docbook-xml (>= 4.1.2-4)
Suggests: docbook-xsl-doc-html | docbook-xsl-doc-pdf | docbook-xsl-doc-text | docbook-xsl-doc,
 libsaxon-java, libxalan2-java, libxslthl-java, docbook-xsl-saxon, fop, xalan, dbtoepub
Description: stylesheets for processing DocBook XML to various output formats
 These are modular XSL stylesheets for processing documents composed
 with the DocBook XML DTD and its derivatives ("Simplified" DocBook
 XML, JRefEntry DTD, etc.).
 .
 The stylesheets provide XSLT transformations for (X)HTML, WordML, HTML Help,
 JavaHelp, Man page (nroff), Website, Eclipse Platform Help file and XSL
 Formatting Object (XSL-FO) output. The latter can be further processed to
 a number of print formats using FOP or TeX-based tools.
 .
 The stylesheets are modular in the sense that you can extend and, to some
 extent, customize them. The documentation is included in a separate package.

Package: docbook-xsl-ns
Architecture: all
Depends: ${misc:Depends}
Recommends: docbook5-xml (>> 5)
Suggests: docbook-xsl-doc-html | docbook-xsl-doc-pdf | docbook-xsl-doc-text | docbook-xsl-doc,
 libsaxon-java, libxalan2-java, libxslthl-java, docbook-xsl-saxon, fop, xalan, dbtoepub
Description: stylesheets for processing DocBook 5 XML to various output formats
 These are modular XSL stylesheets for processing documents composed
 with DocBook 5 XML and its derivatives. Unlike in docbook-xsl the DocBook
 namespace prefix has been added to element names in pattern matches and
 expressions. However processing of DocBook 4 documents is also possible
 with these stylesheets. For a more detailed explanation read
 http://www.sagehill.net/docbookxsl/ProcesingDb5.html.
 .
 The stylesheets provide XSLT transformations for (X)HTML, WordML, HTML Help,
 JavaHelp, Man page (nroff), Website, Eclipse Platform Help file and XSL
 Formatting Object (XSL-FO) output. The latter can be further processed to
 a number of print formats using FOP or TeX-based tools.
 .
 The stylesheets are modular in the sense that you can extend and, to some
 extent, customize them. The documentation is included in a separate package.

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
override_dh_auto_test:
	xmllint --noout --noent --nonet --valid \
	        $(CURDIR)/debian/examples/docbook-xsl/foo.1.example_manpage.xml
	xmllint --noout --noent --nonet \
                --relaxng http://docbook.org/xml/5.0/rng/docbook.rng \
	        $(CURDIR)/debian/examples/docbook-xsl-ns/foo.1.example_manpage.xml

override_dh_install:
	dh_installxmlcatalogs
	# upstream ships {param,pi,table}.xml as example for DocBook
	# because we don't need them inside docbook-xsl, we exclude them
	dh_install -Xparam.xml -Xpi.xml -Xtable.xml -XChangeLog* -X.param.* -X.lib.* -X.gitignore

override_dh_installchangelogs:	
	dh_installchangelogs -p docbook-xsl    docbook-xsl/RELEASE-NOTES.txt
	dh_installchangelogs -p docbook-xsl-ns docbook-xsl-ns/RELEASE-NOTES.txt

=== debian/watch ===
# See uscan(1) for format
#
# NOTE: You need to call the get-orig-source target in debian/rules.
# NOTE: uupdate will *NOT* work, because upstream splits the packages.
#
# Because the usual sf.net watch file syntax fails, use the ftp site.

version=3
opts=dversionmangle=s/\+dfsg$// \
 http://sf.net/docbook/docbook-xsl-ns-([\d\.]+)\.tar\.gz

opts=dversionmangle=s/\+dfsg$// \
 http://sf.net/docbook/docbook-xsl-([\d\.]+)\.tar\.gz \
 debian /bin/sh debian/get-orig-source.sh

## docbook-xsl 1.78.1%2Bdfsg

=== debian/changelog ===
docbook-xsl (1.78.1+dfsg-1~pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-docbook-xsl-source-
    distribution=wheezy-1, Debian jessie source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 16 May 2017 17:29:58 +0200

docbook-xsl (1.78.1+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #696929).
    - Fixes fo:* element sequences in FO output (closes: #605198).
    - Removed passivetex extensions code (closes: #207601, #650786).
    - XHTML conversion scripts have been fixed (closes: #654338).
    - Handle book/info elements of DB5 correctly (closes:  #666068).
    - Fixed orientation of footnotes in blockquote (closes: #684381).
    - Fixed manual page output (closes: #695742).
  * debian/control: Added Multi-Arch: foreign. Dropped DM-Upload-Allowed.
    (Uploaders): Fixed my address.
    (Standards-Version): Bumped to 3.9.4.
  * debian/docbook-xsl.install, debian/docbook-xsl-ns.install: Added new and
    missing (VERSION.xsl) files.
  * debian/get-orig-source.sh: Minor fixes after upstream changed to bzip.
  * debian/rules: Install README files to documentation.
  * debian/watch: Check for bzip2 archives too (closes: #703514).
  * debian/patches/611924_html_same_ids_for_quote.patch: Dropped.
  * debian/patches/605696_fix_section_name_for_lexgrog.patch: Ditto.
  * debian/patches/577807_lang_spanish.patch: Added.
    - Fix spanish template generated text (closes: #577807).
  * debian/patches/638570_lang_russian.patch: Added.
    - Fix two translations (closes: #638570).
  * debian/patches/681116_multiarch_manpage_template.patch: Added.
    - Offer a way to omit build-time outpout to manpages (closes: #681116).
  * debian/patches/698962_fix_typo.patch: Added.
    - Fix a few typos (closes: #698962).
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 26 May 2013 20:26:30 +0200

## docbook-xsl 1.78.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,31 @@
 Source: docbook-xsl
 Section: text
 Priority: optional
-Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
-Uploaders: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Build-Depends: debhelper (>> 7.2.3~), libxml2-utils, docbook-xml (>> 4.4), docbook5-xml
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Uploaders: Daniel Leidert <dleidert@debian.org>
+Build-Depends: debhelper (>> 7.2.3~),
+               docbook-xml (>> 4.4),
+               docbook5-xml,
+               libxml2-utils
 Build-Depends-Indep: xml-core
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://wiki.docbook.org/DocBookXslStylesheets
 Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-xsl/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-xsl/trunk/
-DM-Upload-Allowed: yes
 
 Package: docbook-xsl
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: docbook-xml (>= 4.1.2-4)
-Suggests: docbook-xsl-doc-html | docbook-xsl-doc-pdf | docbook-xsl-doc-text | docbook-xsl-doc,
- libsaxon-java, libxalan2-java, libxslthl-java, docbook-xsl-saxon, fop, xalan, dbtoepub
+Suggests: dbtoepub,
+          docbook-xsl-doc-html | docbook-xsl-doc-pdf | docbook-xsl-doc-text | docbook-xsl-doc,
+          docbook-xsl-saxon,
+          fop,
+          libsaxon-java,
+          libxalan2-java,
+          libxslthl-java,
+          xalan
 Description: stylesheets for processing DocBook XML to various output formats
  These are modular XSL stylesheets for processing documents composed
  with the DocBook XML DTD and its derivatives ("Simplified" DocBook
@@ -34,8 +43,14 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: docbook5-xml (>> 5)
-Suggests: docbook-xsl-doc-html | docbook-xsl-doc-pdf | docbook-xsl-doc-text | docbook-xsl-doc,
- libsaxon-java, libxalan2-java, libxslthl-java, docbook-xsl-saxon, fop, xalan, dbtoepub
+Suggests: dbtoepub,
+          docbook-xsl-doc-html | docbook-xsl-doc-pdf | docbook-xsl-doc-text | docbook-xsl-doc,
+          docbook-xsl-saxon,
+          fop,
+          libsaxon-java,
+          libxalan2-java,
+          libxslthl-java,
+          xalan
 Description: stylesheets for processing DocBook 5 XML to various output formats
  These are modular XSL stylesheets for processing documents composed
  with DocBook 5 XML and its derivatives. Unlike in docbook-xsl the DocBook

## docbook-xsl 1.79.1%2Bdfsg

=== debian/watch ===
--- 
+++ 
@@ -7,8 +7,5 @@
 
 version=3
 opts=dversionmangle=s/\+dfsg$// \
- http://sf.net/docbook/docbook-xsl-ns-([\d\.]+)\.tar\.gz
-
-opts=dversionmangle=s/\+dfsg$// \
- http://sf.net/docbook/docbook-xsl-([\d\.]+)\.tar\.gz \
+ http://sf.net/docbook/docbook-xsl-([\d\.]+)\.tar\.(?:bz2|gz) \
  debian /bin/sh debian/get-orig-source.sh

## docbook-xsl 1.79.1+dfsg

=== debian/changelog ===
docbook-xsl (1.79.1+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #802370.
  * Import package history into git and distribute it on collab-maint.
    Set Vcs-Git and Vcs-Browser accordingly.
  * debian/patches/831831_docbook-xsl-mandir.patch
    - Fix bad so link in man pages. (Closes: #831831)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 01:41:50 +0200

docbook-xsl (1.79.1+dfsg-1) unstable; urgency=low

  * QA upload.
  * New upstream release
    - drop spanish and fix typo patches: upstream
  * Bump std-version to 3.9.6, no changes required.
  * Bump compat level and debhelper to 9.
  * Remove VCS fields.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Jan 2016 15:17:09 +0100

docbook-xsl (1.78.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/765567_non-recursive_string_subst.patch: Added.
    - Avoid recursion in string.subst (closes: #765567).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 02 Jan 2016 20:46:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: docbook-xsl
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 7.2.3~),
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9),
                docbook-xml (>> 4.4),
                docbook5-xml,
                libxml2-utils
 Build-Depends-Indep: xml-core
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/docbook-xsl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/docbook-xsl.git
 Homepage: http://wiki.docbook.org/DocBookXslStylesheets
-Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-xsl/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-xsl/trunk/
 
 Package: docbook-xsl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,17 @@
 	dh_installxmlcatalogs
 	# upstream ships {param,pi,table}.xml as example for DocBook
 	# because we don't need them inside docbook-xsl, we exclude them
-	dh_install -Xparam.xml -Xpi.xml -Xtable.xml -XChangeLog* -X.param.* -X.lib.* -X.gitignore
+	dh_install -XREADME -Xparam.xml -Xpi.xml -Xtable.xml -XChangeLog* -X.param.* -X.lib.* -X.gitignore
+
+override_dh_installdocs:
+	dh_installdocs
+	for i in docbook-xsl docbook-xsl; do \
+                files=`find $${i} -mindepth 2 -name README`; \
+                for j in $${files}; do \
+                        verz=`echo $${j} | sed -e 's#.*/\([^/]*\)/README#\1#g'`; \
+                        GZIP=-9 gzip -c $${j} > $(CURDIR)/debian/$${i}/usr/share/doc/$${i}/README.$${verz}.gz; \
+                done; \
+        done
 
 override_dh_installchangelogs:	
 	dh_installchangelogs -p docbook-xsl    docbook-xsl/RELEASE-NOTES.txt

## docbook-xsl 1.79.2+dfsg

=== debian/changelog ===
docbook-xsl (1.79.2+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable. (Closes: #962020, #924924)
  * debian/examples: Use new URL (cdn) for stylesheet.
  * debian/*.xmlcatalogs: Register both old and new uri.
    This helps to preserve backward compatibility.
  * debian/rules: Use "gzip -9" instead of setting deprecated
    GZIP environment variable.
  * debian/patches: Add patch to maintain compatibility with
    old URIs used in v1.79.1 or earlier (docbook.sourceforge.net).

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jun 2020 22:13:37 -0400

docbook-xsl (1.79.2+dfsg-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release 1.79.2.
    + Upstream now calls the old docbook-xsl-ns project to be
      docbook-xsl and calls docbook-xsl to be docbook-xsl-nons.
      The old package names are kept for now for compatibility.
  * debian/control:
    + Let docbook-xsl package provides docbook-xsl-nons package.
  * debian/docbook-xsl.links: Create symlink from nons path name
    to real dir path name.
  * debian/*.xmlcatalogs: Use new uri names to reflect switch
    away from SourceForge by upstream.
  * debian/patches: Refresh patches.
  * debian/upstream/metadata: Set upstream metadata fields:
    Repository, Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jun 2020 09:21:45 -0400

docbook-xsl (1.79.1+dfsg-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Migrate git packaging repo under Salsa Debian group.
    + Update project homepage field (use GitHub Wiki).
    + Mark package docbook-xsl-ns as M-A: foreign.
      (Closes: #944873)
  * debian/rules: Fix a typo in finding README file.
  * debian/*.README.Debian: Fix typo.

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jun 2020 01:04:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                docbook-xml (>> 4.4),
                docbook5-xml,
                libxml2-utils
 Build-Depends-Indep: xml-core
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/docbook-xsl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/docbook-xsl.git
-Homepage: http://wiki.docbook.org/DocBookXslStylesheets
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/docbook-xsl.git
+Vcs-Browser: https://salsa.debian.org/debian/docbook-xsl
+Homepage: https://github.com/docbook/wiki/wiki/DocBookXslStylesheets
 
 Package: docbook-xsl
 Architecture: all
 Multi-Arch: foreign
+Provides: docbook-xsl-nons
 Depends: ${misc:Depends}
 Recommends: docbook-xml (>= 4.1.2-4)
 Suggests: dbtoepub,
@@ -24,7 +25,7 @@
           libsaxon-java,
           libxalan2-java,
           libxslthl-java,
-          xalan
+          xalan,
 Description: stylesheets for processing DocBook XML to various output formats
  These are modular XSL stylesheets for processing documents composed
  with the DocBook XML DTD and its derivatives ("Simplified" DocBook
@@ -40,6 +41,7 @@
 
 Package: docbook-xsl-ns
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: docbook5-xml (>> 5)
 Suggests: dbtoepub,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 override_dh_auto_test:
@@ -19,13 +19,12 @@
 	# because we don't need them inside docbook-xsl, we exclude them
 	dh_install -XREADME -Xparam.xml -Xpi.xml -Xtable.xml -XChangeLog* -X.param.* -X.lib.* -X.gitignore
 
-override_dh_installdocs:
-	dh_installdocs
-	for i in docbook-xsl docbook-xsl; do \
+execute_after_dh_installdocs:
+	for i in docbook-xsl docbook-xsl-ns; do \
                 files=`find $${i} -mindepth 2 -name README`; \
                 for j in $${files}; do \
                         verz=`echo $${j} | sed -e 's#.*/\([^/]*\)/README#\1#g'`; \
-                        GZIP=-9 gzip -c $${j} > $(CURDIR)/debian/$${i}/usr/share/doc/$${i}/README.$${verz}.gz; \
+                        gzip -9 -c $${j} > $(CURDIR)/debian/$${i}/usr/share/doc/$${i}/README.$${verz}.gz; \
                 done; \
         done

=== debian/watch ===
--- 
+++ 
@@ -2,8 +2,15 @@
 #
 # NOTE: You need to call the get-orig-source target in debian/rules.
 # NOTE: uupdate will *NOT* work, because upstream splits the packages.
+# WARNING: The project has migrated away from SF thus the current watch
+#          is not working! The latest version is at least v1.79.2.
 #
 # Because the usual sf.net watch file syntax fails, use the ftp site.
+
+#version=4
+#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%docbook-xsl-$1.tar.gz%" \
+# https://github.com/docbook/xslt10-stylesheets/releases \
+#  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
 
 version=3
 opts=dversionmangle=s/\+dfsg$// \
